AI
Update AI agent brief
PATCH
/
v1
/
ai
/
agents
/
{agentID}
/
brief
Update AI agent brief
curl --request PATCH \
--url https://api.wazapin.com/v1/ai/agents/{agentID}/brief \
--header 'Content-Type: application/json' \
--data '
{
"objective": "<string>",
"business_context": "<string>",
"escalation_policy": {},
"guardrails": {},
"response_style": {},
"tone": "<string>"
}
'const options = {
method: 'PATCH',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({
objective: '<string>',
business_context: '<string>',
escalation_policy: {},
guardrails: {},
response_style: {},
tone: '<string>'
})
};
fetch('https://api.wazapin.com/v1/ai/agents/{agentID}/brief', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.wazapin.com/v1/ai/agents/{agentID}/brief"
payload = {
"objective": "<string>",
"business_context": "<string>",
"escalation_policy": {},
"guardrails": {},
"response_style": {},
"tone": "<string>"
}
headers = {"Content-Type": "application/json"}
response = requests.patch(url, json=payload, headers=headers)
print(response.text){
"agent_id": "<string>",
"business_context": "<string>",
"escalation_policy": {},
"guardrails": {},
"objective": "<string>",
"response_style": {},
"tone": "<string>",
"updated_at": "<string>",
"updated_by": "<string>"
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": [
{
"message": "<string>",
"code": "<string>",
"field": "<string>",
"location": "<string>"
}
],
"request_id": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": [
{
"message": "<string>",
"code": "<string>",
"field": "<string>",
"location": "<string>"
}
],
"request_id": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": [
{
"message": "<string>",
"code": "<string>",
"field": "<string>",
"location": "<string>"
}
],
"request_id": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": [
{
"message": "<string>",
"code": "<string>",
"field": "<string>",
"location": "<string>"
}
],
"request_id": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": [
{
"message": "<string>",
"code": "<string>",
"field": "<string>",
"location": "<string>"
}
],
"request_id": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": [
{
"message": "<string>",
"code": "<string>",
"field": "<string>",
"location": "<string>"
}
],
"request_id": "<string>"
}
}Path Parameters
Body
application/json
⌘I
Update AI agent brief
curl --request PATCH \
--url https://api.wazapin.com/v1/ai/agents/{agentID}/brief \
--header 'Content-Type: application/json' \
--data '
{
"objective": "<string>",
"business_context": "<string>",
"escalation_policy": {},
"guardrails": {},
"response_style": {},
"tone": "<string>"
}
'const options = {
method: 'PATCH',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({
objective: '<string>',
business_context: '<string>',
escalation_policy: {},
guardrails: {},
response_style: {},
tone: '<string>'
})
};
fetch('https://api.wazapin.com/v1/ai/agents/{agentID}/brief', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.wazapin.com/v1/ai/agents/{agentID}/brief"
payload = {
"objective": "<string>",
"business_context": "<string>",
"escalation_policy": {},
"guardrails": {},
"response_style": {},
"tone": "<string>"
}
headers = {"Content-Type": "application/json"}
response = requests.patch(url, json=payload, headers=headers)
print(response.text){
"agent_id": "<string>",
"business_context": "<string>",
"escalation_policy": {},
"guardrails": {},
"objective": "<string>",
"response_style": {},
"tone": "<string>",
"updated_at": "<string>",
"updated_by": "<string>"
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": [
{
"message": "<string>",
"code": "<string>",
"field": "<string>",
"location": "<string>"
}
],
"request_id": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": [
{
"message": "<string>",
"code": "<string>",
"field": "<string>",
"location": "<string>"
}
],
"request_id": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": [
{
"message": "<string>",
"code": "<string>",
"field": "<string>",
"location": "<string>"
}
],
"request_id": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": [
{
"message": "<string>",
"code": "<string>",
"field": "<string>",
"location": "<string>"
}
],
"request_id": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": [
{
"message": "<string>",
"code": "<string>",
"field": "<string>",
"location": "<string>"
}
],
"request_id": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": [
{
"message": "<string>",
"code": "<string>",
"field": "<string>",
"location": "<string>"
}
],
"request_id": "<string>"
}
}